/*
 * dbMetrix Database Tool v0.1
 * Copyright (c) 1998 David E. Storey <dave@tamos.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include <gtk/gtk.h>

#include <stdlib.h>
#include <string.h>
#include "config.h"
#include "global.h"

void
ds_tree_node_destroy(node_ds **node)
{
    g_free((*node)->name);
    g_free(*node);
    *node = NULL;
}

node_ds *
ds_tree_node_new(node_ds *parent, char *ds_name, dsType ds_type, dataSource *ds_conn)
{
    node_ds *nodeInfo;

    nodeInfo = (node_ds *)g_malloc(sizeof(node_ds));
    nodeInfo->name = g_strdup(ds_name);
    nodeInfo->type = ds_type;
    nodeInfo->conn = ds_conn;
    nodeInfo->parent = parent;

    return(nodeInfo);
}
